/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Specimen Sampling Procedure
 */
public enum EnumCV_SpecimenSamplingProcedure {

	//Specimen Sampling Procedure - CID 8110
	DISSECTION_P1_01003("P1-01003"),
	DISSECTION_WITH_ENTIRE_SPECIMEN_SUBMISSION_111726("111726"),
	DISSECTION_WITH_REPRESENTATIVE_SECTIONS_SUBMISSION_111727("111727"),
	CORE_SAMPLING_P3_40011("P3-40011"),
	BLOCK_SECTIONING_P3_4000D("P3-4000D"),
	LASER_MICRODISSECTION_P3_40004("P3-40004"),
	BLOCK_SURFACE_RECUT_P3_4000E("P3-4000E"),
	BLOCK_STEP_SECTIONING_P3_4000F("P3-4000F"),
	TOUCH_PREPARATION_PROCEDURE_P3_4500A("P3-4500A"),
	SMEAR_PROCEDURE_P3_00048("P3-00048");
	
	private String value;

	EnumCV_SpecimenSamplingProcedure(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
